
Infrastructure - Task #7384

Metacat MN solr query should support the symbol "?"

2015-09-24 20:24 - Jing Tao

Status: Closed Start date: 2015-09-24

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Currently the query works:

https://mn-dev-ucsb-2.test.dataone.org/metacat/d1/mn/v2/query/solr/q=identifier:testV1CreateV2Query_2015266121357718

But this one doesn't:

https://mn-dev-ucsb-2.test.dataone.org/metacat/d1/mn/v2/query/solr/?q=identifier:testV1CreateV2Query_2015266121357718

The difference is the if there is a "?" before query.

We need to make the second query work:

"The caller is reponsible for providing a ‘?’ to indicate the start of the query string portion of the URL, as well as proper URL

escaping."

http://jenkins-1.dataone.org/jenkins/job/API%20Documentation%20-%20trunk/ws/api-documentation/build/html/apis/MN_APIs.html#

MNQuery.query

History

#1 - 2015-09-24 20:26 - Jing Tao

- Category set to Metacat

- Assignee set to Ben Leinfelder

- Target version set to CCI-2.0.0

#2 - 2015-09-29 21:46 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Updated the handler to use the query string (since we changed how/when the request is decoded). Can still use either form, but the correct one now

works.
